@echo off
compdos.exe %1
if errorlevel 2 goto help
if errorlevel 1 goto err
chglogo.exe compress.bin
if errorlevel 1 goto err
goto end
:help
cls
echo Lenovo Change Logo Utility 1.0.0
echo.
echo Usage:   logo.bat [logo file name]
echo Example: logo.bat logo.bmp
goto end
:err
echo.
echo Change logo failed!
:end
